> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Update a badge

PATCH https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/{entryId}/badges/{badgeId}/
Content-Type: application/json

Update a partner entry badge

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/badges/update-a-badge

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `badgeId` (string, required)
- `entryId` (string, required)

### Body (application/json)

This endpoint expects a PatchedAssignedBadgeSerializerWriterRequest.

- `order` (integer, optional)
- `id` (string, optional)

## Response

### 200

Successful operation

- `href` (string, required)
- `title` (string, required)
- `image` (string, required, nullable)
- `id` (string, required)
- `order` (integer, optional)
- `imageUrl` (string, optional, nullable)

## Errors

### 400 Bad Request Error

Bad Request - Validation Error

- `any`

### 404 Not Found Error

Partner Entry not found

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "href": "string",
  "title": "string",
  "image": "string",
  "id": "string",
  "order": 1,
  "imageUrl": "string"
}
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/badges/badgeId/"

payload = {}
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/badges/badgeId/';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```